# mongoc_write_concern_copy()

## Synopsis

    mongoc_write_concern_t *
    mongoc_write_concern_copy (const mongoc_write_concern_t *write_concern);

## Parameters

write_concern | A mongoc_write_concern_t.

## Description

Performs a deep copy of write_concern.

## Returns

Returns a newly allocated copy of write_concern that should be freed with mongoc_write_concern_destroy() when no longer in use.